Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.format.support
Class DefaultFormattingConversionService

    java.lang.Object
      org.springframework.core.convert.support.GenericConversionService
          org.springframework.format.support.FormattingConversionService
              org.springframework.format.support.DefaultFormattingConversionService

All Implemented Interfaces:
  Aware, EmbeddedValueResolverAware, ConversionService, ConverterRegistry, ConfigurableConversionService, FormatterRegistry

    public class DefaultFormattingConversionService

extends FormattingConversionService

A specialization of `FormattingConversionService` configured by default with converters and formatters appropriate for most applications.

Designed for direct instantiation but also exposes the static `addDefaultFormatters(org.springframework.format.FormatterRegistry)` utility method for ad hoc use against any `FormatterRegistry` instance, just as `DefaultConversionService` exposes its own `addDefaultConverters` method.

Since:
  3.1
Author:
  Chris Beams

Constructor Summary
`DefaultFormattingConversionService()` Create a new `DefaultFormattingConversionService` with the set of default converters and default formatters.
`DefaultFormattingConversionService(boolean registerDefaultFormatters)` Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters.
`DefaultFormattingConversionService(StringValueResolver embeddedValueResolver, boolean registerDefaultFormatters)` Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters

Method Summary
`static void` | `addDefaultFormatters(FormatterRegistry formatterRegistry)` Add formatters appropriate for most environments, including number formatters and a Joda-Time date formatter if Joda-Time is present on the classpath.

Methods inherited from class org.springframework.format.support.FormattingConversionService
`addFormatter, addFormatterForFieldAnnotation, addFormatterForFieldType, addFormatterForFieldType, setEmbeddedValueResolver`

Methods inherited from class org.springframework.core.convert.support.GenericConversionService
`addConverter, addConverter, addConverter, addConverterFactory, canConvert, canConvert, convert, convert, convert, convertNullSource, getConverter, getDefaultConverter, removeConvertible, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.core.convert.converter.ConverterRegistry
`addConverter, addConverter, addConverter, addConverterFactory, removeConvertible`

Constructor Detail

### DefaultFormattingConversionService

    public DefaultFormattingConversionService()

  Create a new `DefaultFormattingConversionService` with the set of default converters and default formatters.

### DefaultFormattingConversionService

    public DefaultFormattingConversionService(boolean registerDefaultFormatters)

  Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters.

  Parameters:
    `registerDefaultFormatters` - whether to register default formatters

### DefaultFormattingConversionService

    public DefaultFormattingConversionService(StringValueResolver embeddedValueResolver,
                                              boolean registerDefaultFormatters)

  Create a new `DefaultFormattingConversionService` with the set of default converters and, based on the value of `registerDefaultFormatters`, the set of default formatters

  Parameters:
    `embeddedValueResolver` - delegated to `FormattingConversionService.setEmbeddedValueResolver(StringValueResolver)` prior to calling `addDefaultFormatters(org.springframework.format.FormatterRegistry)`.
    `registerDefaultFormatters` - whether to register default formatters

Method Detail

### addDefaultFormatters

    public static void addDefaultFormatters(FormatterRegistry formatterRegistry)

  Add formatters appropriate for most environments, including number formatters and a Joda-Time date formatter if Joda-Time is present on the classpath.

  Parameters:
    `formatterRegistry` - the service to register default formatters against

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD